<?php
namespace App\Controllers;
trait PersonViewTrait{
 protected function view(string $view,array $data=[]):void{extract($data,EXTR_SKIP);require BASE_PATH.'/app/Views/layout/header.php';require BASE_PATH.'/app/Views/'.$view.'.php';require BASE_PATH.'/app/Views/layout/footer.php';}
 protected function redirect(string $url):never{header('Location: /public'.$url);exit;}
}
